package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceApply.backAccountStatus.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplyFieldBackAccountStatusState {

	// 运营领票后跟进回款 -> 状态 -> 未回款(0, "未回款"),
	void opInit();

	// 运营领票后跟进回款 部分回款 -> 状态 -> 部分回款(1, "部分回款"),
	void opPart();

	// 运营收款后登记回款 全部回款 -> 状态 -> 已回款(2, "已回款"),
	void opComplete();

}
